aboutsummaryrefslogtreecommitdiffstats
path: root/testing/php7/php7-fpm.initd
diff options
context:
space:
mode:
Diffstat (limited to 'testing/php7/php7-fpm.initd')
-rw-r--r--testing/php7/php7-fpm.initd12
1 files changed, 10 insertions, 2 deletions
diff --git a/testing/php7/php7-fpm.initd b/testing/php7/php7-fpm.initd
index c6bd71a69a..1016c68f0d 100644
--- a/testing/php7/php7-fpm.initd
+++ b/testing/php7/php7-fpm.initd
@@ -7,7 +7,9 @@ command="/usr/sbin/php-fpm7"
command_args="--fpm-config $cfgfile --pid $pidfile"
required_files="$cfgfile"
-extra_started_commands="reload"
+extra_started_commands="reload reopen"
+description_reload="Reload configuration"
+description_reopen="Reopen log files"
depend() {
need net
@@ -21,7 +23,13 @@ start_pre() {
}
reload() {
- ebegin "Reloading $name"
+ ebegin "Reloading ${SVCNAME} configuration"
start-stop-daemon --signal USR2 --pidfile $pidfile
eend $?
}
+
+reopen() {
+ ebegin Reopening ${SVCNAME} log files""
+ start-stop-daemon --signal USR1 --pidfile $pidfile
+ eend $?
+}